changeset 22210:a276345c21a0

merge of '0f37c6a913d5207fa0fa327f5b11b215c7d35926' and '5f619caa5426e6b4e0d1823858310195ce7a994d'
author Will Thompson <will.thompson@collabora.co.uk>
date Sat, 26 Jan 2008 17:14:59 +0000
parents c77098cebf23 (current diff) a0d3cabfdee0 (diff)
children eddcf0f2da51
files
diffstat 1 files changed, 10 insertions(+), 10 deletions(-) [+]
line wrap: on
line diff
--- a/autogen.sh	Sat Jan 26 16:17:36 2008 +0000
+++ b/autogen.sh	Sat Jan 26 17:14:59 2008 +0000
@@ -9,42 +9,42 @@
 	echo;
 	echo "You must have glib-gettextize installed to compile Pidgin.";
 	echo;
-	exit;
+	exit 1;
 }
 
 (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
 	echo;
 	echo "You must have intltool installed to compile Pidgin.";
 	echo;
-	exit;
+	exit 1;
 }
 
 (libtoolize --version) < /dev/null > /dev/null 2>&1 || {
 	echo;
 	echo "You must have libtool installed to compile Pidgin.";
 	echo;
-	exit;
+	exit 1;
 }
 
 (automake --version) < /dev/null > /dev/null 2>&1 || {
 	echo;
 	echo "You must have automake installed to compile Pidgin.";
 	echo;
-	exit;
+	exit 1;
 }
 
 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
 	echo;
 	echo "You must have autoconf installed to compile Pidgin.";
 	echo;
-	exit;
+	exit 1;
 }
 
 echo "Generating configuration files for Pidgin, please wait...."
 echo;
 
 echo "Running libtoolize, please ignore non-fatal messages...."
-echo n | libtoolize --copy --force || exit;
+echo n | libtoolize --copy --force || exit 1;
 
 # Add other directories to this list if people continue to experience
 # brokennesses ...  Obviously the real answer is for them to fix it
@@ -60,11 +60,11 @@
 libtoolize -c -f --automake
 glib-gettextize --force --copy
 intltoolize --force --copy
-aclocal $ACLOCAL_FLAGS || exit;
-autoheader || exit;
+aclocal $ACLOCAL_FLAGS || exit 1;
+autoheader || exit 1;
 automake --add-missing --copy;
-autoconf || exit;
-automake || exit;
+autoconf || exit 1;
+automake || exit 1;
 
 echo;
 echo "Running ./configure ${CONFIGURE_ARGS} $@"